CamlinternalMenhirLib.InspectionTableInterpreter.Symbols(3o)

NAME
CamlinternalMenhirLib.InspectionTableInterpreter.Symbols - no description

Module
Module CamlinternalMenhirLib.InspectionTableInterpreter.Symbols

Documentation

Module Symbols
 : (T : sig end) -> sig end

Parameters:

"T"

sig end

type 'a terminal

type 'a nonterminal

type 'a symbol =
 | T : 'a0 terminal -> 'a0 symbol
 | N : 'a1 nonterminal -> 'a1 symbol

type xsymbol =
 | X : 'a symbol -> xsymbol